package com.gic.haoban.manage.service.dao.mapper.chat;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.gic.haoban.manage.api.dto.qdto.chat.ChatHmSearchQDTO;
import com.gic.haoban.manage.service.entity.chat.TabGroupChatHm;

/**
 * 
 * @ClassName: TabHaobanGroupChatHmMapper
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年11月25日 15:30:48
 * @Modify
 * @CopyRight 
 */
public interface GroupChatHmMapper {

    public int insert(TabGroupChatHm hm);

    public int deleteById(Long chatHmId);

    public int updateById(TabGroupChatHm hm);

    public int discard(@Param("chatHmId") Long chatHmId, @Param("wxEnterpriseId") String wxEnterpriseId,
            @Param("clerkId") String clerkId, @Param("clerkName") String clerkName);

    public TabGroupChatHm selectById(Long chatHmId);

    public void updateLinkCount(@Param("chatHmId") Long chatHmId, @Param("linkCount") int linkCount);

    public List<TabGroupChatHm> list(ChatHmSearchQDTO qdto);

    List<TabGroupChatHm> listAvailableByEnterpriseId(@Param("enterpriseId") String enterpriseId);
}